﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp21
{
    internal class Program
    {
        static void Main(string[] args)
        {
            Console.WriteLine("Проверка равенства 1+2+...+n = n(n+1)/2");
            Console.Write("Введите натуральное число n: ");

            // Чтение ввода пользователя и преобразование в целое число
            int n;
            while (!int.TryParse(Console.ReadLine(), out n) || n <= 0)
            {
                Console.Write("Ошибка! Введите натуральное число (n > 0): ");
            }
            // Вычисление левой части равенства (сумма чисел от 1 до n)
            int leftSum = 0;
            for (int i = 1; i <= n; i++)
            {
                leftSum += i;
            }

            // Вычисление правой части равенства (формула n(n+1)/2)
            int rightSum = n * (n + 1) / 2;
            // Вывод результатов
            Console.WriteLine($"Сумма чисел от 1 до {n} (лев. часть): {leftSum}");
            Console.WriteLine($"Результат формулы n(n+1)/2 (прав. часть): {rightSum}");

            // Проверка равенства
            if (leftSum == rightSum)
            {
                Console.WriteLine($"Равенство выполняется: {leftSum} = {rightSum}");
            }
            else
            {
                Console.WriteLine($"Ошибка! Равенство не выполняется: {leftSum} ≠ {rightSum}");
            }
        }
    }
}
   
